Summary:	Client/server software implementing the Dictionary Server Protocol
Name:		dictd
Version:	1.5.0
Release:	2
Copyright:	GPL
Group:		Applications/Dictionary
URL:		http://www.dict.org/
Vendor:		www.dict.org
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>

%description 
The DICT Protocol, described in RFC 2229 is a TCP transaction based
query/response protocol that allows a client to access dictionary
definitions from a set of natural language dictionary databases.

dict(1) is a client which can access DICT servers from the command
line.

dictd(8) is a server which supports the DICT protocol.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
./configure --prefix=%{prefix}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{prefix}/bin
mkdir -p %{buildroot}/%{prefix}/man/man1
mkdir -p %{buildroot}/%{prefix}/man/man8
mkdir -p %{buildroot}/%{prefix}/sbin
mkdir -p %{buildroot}/%{prefix}/share/dict
make prefix=%{buildroot}/%{prefix} conf=%{buildroot}/etc install
echo "server localhost" > dict.conf
install -D -o root -g root -m 644 dict.conf %{buildroot}/etc/
touch %{buildroot}/etc/%{name}.conf
chown root.root %{buildroot}/etc/%{name}.conf
chmod 644 %{buildroot}/etc/%{name}.conf
install -D -o root -g root -m 755 %{_sourcedir}/%{name}.init \
	%{buildroot}/etc/rc.d/init.d/%{name}

%clean
rm -rf %{buildroot}

%post
chkconfig %{name} reset
/etc/rc.d/init.d/%{name} restart

%preun
/etc/rc.d/init.d/%{name} stop

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING ChangeLog INITSCRIPT INSTALL README TODO %{name}.conf
%doc example.conf example.dictrc example.site example2.conf example3.conf
%doc doc
%config(noreplace) /etc/*conf
%dir %{prefix}/share/dict
/etc/rc.d/init.d/*
%{prefix}/bin/*
%{prefix}/man/*/*
%{prefix}/sbin/*

%changelog
* Sun Jan 16 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- fixed clean (damn I'm an idiot sometimes)

* Sat Jan 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 1.5.0
- made relocatable
- cleaned up specfile
- added sysv init file
- modified config file
- moved data dir
- added post and preun
- note:  package would not build with 2.3 headers in /usr/src/linux.
-        worked fine with 2.2.13

* Tue Jul 14 1998 Anthony Y.P. Wong <ypwong@poboxes.com>
- original rpm
